Bug 445608 - Changing the architecture in repository path (network installation) fails
Changing the architecture in repository path (network installation) fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 18:40 EDT by Stewart Adam
Modified: 2008-06-03 10:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 10:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2008-05-07 18:40:07 EDT
Description of problem:
I've burned the boot.iso from today's rawhide (F9RC1) and booted up to do a
network install. I accidentally entered
http://mirrors.kernels.org/fedora/development/i386/os/, so fetching repodata
failed and I requested to edit the repo file. I fixed the typo as well as
changed i386 to x86_64 like this:
http://mirrors.kernel.org/fedora/development/i386/os/. An error then appeared
saying "Fedora-20080507-repo.x86_64 could not be found" (filename may not be
exactly correct, but it was something along those lines with x86_64 at the end)

Version-Release number of selected component (if applicable):
20080507 rawhide: 11.4.0.82-1.fc9.x86_64

How reproducible:
I didn't test it more than once, but the "retry" button presented the error
consistently

Steps to Reproduce:
1. Do a network install from boot.iso
2. Enter a typo in the hostname and/or path and use a "would-be" path for i386
3. Correct the typo and switch to a x86_64 repo path
  
Actual results:
Repository file not found, installer exits

Expected results:
Repository file is not found, install continues

Additional info:
I'm assuming if Anaconda places arches in repo filename, it just needs to rename
the original file ending in .i386 to .x86_64 and then change the baseurl=
according to the user's input.
Comment 1 Bug Zapper 2008-05-14 06:48:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Lumens 2008-05-19 12:34:11 EDT
Can you attach /tmp/anaconda.log to this bug report?  Thanks.
Comment 3 Stewart Adam 2008-05-28 18:29:21 EDT
I tried to reproduce the bug but it wanted to partition before I could access
the repo configuration page, so I'll get back to you later once I have a machine
with a spare drive/partition.
Comment 4 Andy Lindeberg 2008-06-03 10:29:21 EDT
Closing this. If you reproduce the bug, please reopen and attach anaconda.log

Note You need to log in before you can comment on or make changes to this bug.